states           q01,
                 q11, q12, q13, q14, q15,
                 q21, q22, q23, q24, q25, q26,
                 q31, q32, q33, q34, q35,
                 q41, q42, q43, q44, q45, q46,
                 qa, qr;
initial state    q44;
accepting states qa;
rejecting states qr;
alphabet         '0', '1', 'A', 'B', 'X', 'Y', 'M', 'S';
blank symbol     '0';



delta     
//            0              1              A              B              X              Y              M              S     
q01:    (q01,'A',-1),  (q01,'B',-1),  (q01,'A',-1),  (q01,'B',-1),  (q01,'X',-1),  (q11,'Y', 0),  (q01,'M',-1),  (q01,'S',-1);

q11:    (q11,'0', 1),  (q11,'1', 1),  (q12,'0', 1),  (q13,'1', 1),  (q21,'X', 0),  (q11,'Y', 1),  (q11,'M', 1),  (q11,'S', 1);
q12:    (q14,'A', 0),  (q15,'B', 0),  (q12,'A', 1),  (q12,'B', 1),  (q12,'X', 1),  (q12,'Y', 1),  (q12,'M', 1),  (q12,'S', 1);
q13:    (q15,'A', 0),  (q14,'B', 0),  (q13,'A', 1),  (q13,'B', 1),  (q13,'X', 1),  (q13,'Y', 1),  (q13,'M', 1),  (q13,'S', 1);
q14:    (q14,'0',-1),  (q14,'1',-1),  (q14,'A',-1),  (q14,'B',-1),  (q14,'X',-1),  (q11,'Y', 0),  (q14,'M',-1),  (q14,'S',-1);
q15:    (q15,'0', 1),  (q15,'1', 1),  (q15,'A', 1),  (q15,'B', 1),  (q01,'X', 0),   (qa,'Y', 0),  (q15,'M', 1),  (q15,'S', 1);

q21:    (q23,'A', 0),  (q22,'B', 0),  (q21,'A', 1),  (q21,'B', 1),  (q21,'X', 1),  (q21,'Y', 1),  (q21,'M', 1),  (q21,'S', 1);
q22:    (q22,'0',-1),  (q22,'1',-1),  (q22,'A',-1),  (q22,'B',-1),  (q22,'X',-1),  (q24,'Y', 0),  (q22,'M',-1),  (q22,'S',-1);
q23:    (q23,'0',-1),  (q23,'1',-1),  (q23,'A',-1),  (q23,'B',-1),  (q23,'X',-1),  (q25,'Y', 0),  (q23,'M',-1),  (q23,'S',-1);
q24:    (q26,'B', 1),  (q26,'B', 1),  (q24,'A', 1),  (q24,'B', 1),  (q31,'X',-1),  (q24,'Y', 1),  (q24,'M', 1),  (q24,'S', 1);
q25:    (q26,'A', 1),  (q26,'A', 1),  (q25,'A', 1),  (q25,'B', 1),  (q32,'X',-1),  (q25,'Y', 1),  (q25,'M', 1),  (q25,'S', 1);
q26:    (q26,'0', 1),  (q26,'1', 1),  (q26,'A', 1),  (q26,'B', 1),  (q21,'X', 1),  (q26,'Y', 1),  (q26,'M', 1),  (q26,'S', 1);

q31:    (q31,'0',-1),  (q31,'1',-1),  (q31,'A',-1),  (q31,'B',-1),  (q31,'X',-1),  (q31,'Y',-1),  (q33,'B', 1),  (q31,'S',-1);
q32:    (q32,'0',-1),  (q32,'1',-1),  (q32,'A',-1),  (q32,'B',-1),  (q32,'X',-1),  (q32,'Y',-1),  (q33,'A', 1),  (q32,'S',-1);
q33:    (q33,'0', 1),  (q33,'1', 1),  (q33,'0', 1),  (q33,'1', 1),  (q34,'X', 1),  (q33,'Y', 1),  (q33,'M', 1),  (q33,'S', 1);
q34:    (q35,'0',-1),  (q35,'1',-1),  (q34,'A', 1),  (q34,'B', 1),  (q34,'X', 1),  (q35,'Y',-1),  (q34,'M', 1),  (q34,'S', 1);
q35:    (q46,'S',-1),  (q45,'S',-1),  (q35,'0',-1),  (q35,'1',-1),  (q35,'X',-1),  (q35,'Y',-1),  (q35,'M',-1),  (q35,'S',-1);

q41:    (q41,'0', 1),  (q41,'1', 1),  (q41,'A', 1),  (q41,'B', 1),  (q41,'X', 1),  (q41,'Y', 1),  (q41,'M', 1),  (q01,'B', 0);
q42:    (q42,'0', 1),  (q42,'1', 1),  (q42,'A', 1),  (q42,'B', 1),  (q42,'X', 1),  (q42,'Y', 1),  (q42,'M', 1),  (q01,'A', 0);
q43:    (q42,'M', 1),  (q41,'M', 1),  (q43,'A',-1),  (q43,'B',-1),  (q43,'X',-1),  (q43,'Y',-1),  (q43,'M',-1),  (q43,'S',-1);
q44:    (q42,'M', 1),  (q41,'M', 1),  (q44,'A', 1),  (q44,'B', 1),  (q44,'X', 1),   (qr,'Y', 0),  (q44,'M', 1),  (q44,'S', 1);
q45:    (q45,'0',-1),  (q45,'1',-1),  (q43,'1',-1),  (q44,'1', 1),  (q45,'X',-1),  (q45,'Y',-1),  (q45,'M',-1),  (q45,'S',-1);
q46:    (q46,'0',-1),  (q46,'1',-1),  (q43,'0',-1),  (q44,'0', 1),  (q46,'X',-1),  (q46,'Y',-1),  (q46,'M',-1),  (q46,'S',-1);
;

descriptions
q01                     : "Markiere naechste Zeile in Transitions-Tabelle";
q11,q12,q13,q14,q15     : "Vergleiche aktuelle Konfiguration mit markierter Zeile";
q21,q22,q23,q24,q25,q26 : "Aktualisiere Konfiguration entsprechend markierter Zeile";
q31,q32                 : "Speichere naechste Kopf-Bewegung an Kopf-Position";
q33,q34,q35             : "Lade Symbol unter Kopf-Position aus Zwischenspeicher";
q41,q42                 : "Speichere Symbol unter Kopf-Position in Zwischenspeicher";
q43,q44                 : "Setze neue Kopf-Position";
q45,q46                 : "Loesche alte Kopf-Position";
qr                      : "FEHLER! Die uebergebene Turing-Maschine hat den Lesekopf (M) in den negativen Bereich (Y) bewegt"
;
